Bug 175624 - databases/py-swift: update to 1.7.6
Summary: databases/py-swift: update to 1.7.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-27 10:10 UTC by Mikolaj Golub
Modified: 2013-02-07 09:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.69 KB, patch)
2013-01-27 10:10 UTC, Mikolaj Golub
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Golub freebsd_committer 2013-01-27 10:10:00 UTC
swift (1.7.6)

    * Better tempauth storage URL guessing

    * Added --top option to swift-recon -d

    * Allow optional, temporary healthcheck failure

    * keystoneauth middleware now supports cross-tenant ACLs

    * Add dispersion report flags to limit reports

    * Add config option to turn eventlet debug on/off

    * Added override option for swift-init's KILL_WAIT

    * Added oldest and most recent replication pass to swift-recon

    * Fixed 500 error response when GETing a many-segment manifest

    * Memcached keys now use a delta timeout when possible

    * Refactor DiskFile to hide temp file names and exts

    * Remove IP-based container-sync ACLs from auth middlewares

    * Fixed bug in deleting memcached account info data

    * Fixed lazy-listing of object manifest segments

    * Fixed bug where a ? in the object name caused an error

    * Swift now returns 406 if it can't satisfy Accept

    * Fix infinite recursion bug in obejct replicator

    * Swift will now reject names with NULL characters

    * Fixed object-auditor logging to use a minimum of unix sockets

    * Various other minor bug fixes and improvements

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-01-27 10:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-01-27 10:10:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2013-01-27 10:10:10 UTC
Maintainer of databases/py-swift,

Please note that PR ports/175624 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175624

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Frederic Culot freebsd_committer 2013-01-30 05:46:44 UTC
Responsible Changed
From-To: freebsd-python->culot

I'll take it.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2013-02-07 06:16:47 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 Mark Linimon 2013-02-07 06:17:23 UTC
----- Forwarded message from Gea-Suan Lin <gslin@gslin.org> -----

Date: Thu, 7 Feb 2013 11:25:21 +0800
From: Gea-Suan Lin <gslin@gslin.org>
To: culot@FreeBSD.org
Cc: gslin@gslin.org, freebsd-python@FreeBSD.org
Subject: Re: ports/175624: databases/py-swift: update to 1.7.6
User-Agent: Mutt/1.5.21 (2010-09-15)

Thanks, please commit it.

-- 
* Gea-Suan Lin  (public key: Using https://keyserver.pgp.com/ to search)
* If you cannot convince them, confuse them.           -- Harry S Truman
_______________________________________________
freebsd-python@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-python
To unsubscribe, send any mail to "freebsd-python-unsubscribe@freebsd.org"


----- End forwarded message -----
Comment 7 dfilter service freebsd_committer 2013-02-07 08:52:01 UTC
Author: culot
Date: Thu Feb  7 08:51:52 2013
New Revision: 311818
URL: http://svnweb.freebsd.org/changeset/ports/311818

Log:
  - Update to 1.7.6
  
  Changes:	https://github.com/openstack/swift/blob/master/CHANGELOG
  PR:		ports/175624
  Submitted by:	trociny@
  Approved by:	Gea-Suan Lin <gslin@gslin.org> (maintainer)

Modified:
  head/databases/py-swift/Makefile
  head/databases/py-swift/distinfo
  head/databases/py-swift/pkg-plist

Modified: head/databases/py-swift/Makefile
==============================================================================
--- head/databases/py-swift/Makefile	Thu Feb  7 08:34:25 2013	(r311817)
+++ head/databases/py-swift/Makefile	Thu Feb  7 08:51:52 2013	(r311818)
@@ -2,9 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	swift
-PORTVERSION=	1.7.5
+PORTVERSION=	1.7.6
 CATEGORIES=	databases python
-MASTER_SITES=	http://launchpadlibrarian.net/122943753/
+MASTER_SITES=	http://launchpadlibrarian.net/129305476/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	gslin@gslin.org

Modified: head/databases/py-swift/distinfo
==============================================================================
--- head/databases/py-swift/distinfo	Thu Feb  7 08:34:25 2013	(r311817)
+++ head/databases/py-swift/distinfo	Thu Feb  7 08:51:52 2013	(r311818)
@@ -1,2 +1,2 @@
-SHA256 (swift-1.7.5.tar.gz) = 86e335adb57da9e1c6a55a9b716047e5c304f9b27b7adfa04e24926fedeb184d
-SIZE (swift-1.7.5.tar.gz) = 494230
+SHA256 (swift-1.7.6.tar.gz) = cf108786ecd0fbf1d2b7e422824d78210e17e93ec4a85c2be01c611092f95c14
+SIZE (swift-1.7.6.tar.gz) = 503775

Modified: head/databases/py-swift/pkg-plist
==============================================================================
--- head/databases/py-swift/pkg-plist	Thu Feb  7 08:34:25 2013	(r311817)
+++ head/databases/py-swift/pkg-plist	Thu Feb  7 08:51:52 2013	(r311818)
@@ -4,6 +4,7 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/swift-account-audit
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/swift-account-auditor
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/swift-account-reaper
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Frederic Culot freebsd_committer 2013-02-07 08:52:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!